const x = Number(require("fs").readFileSync(0,"utf8").toString());
const line = Math.ceil((-1+Math.sqrt(1+8*x))/2);
const maxOfLine = line*(line+1)/2;
let num, denum;
if(line%2===0){
    denum = maxOfLine-x+1;
}
else{
    denum = line+x-maxOfLine;
}
num = line-denum+1;
console.log(num+'/'+denum);